gauden_t Struct Reference

Multivariate gaussian mixture density parameters. More...

`#include <ms_gauden.h>`

## Data Fields

mfcc_t **** | mean
| mean[codebook][feature][codeword] vector
mfcc_t **** | var
| like mean; diagonal covariance vector only
mfcc_t *** | det
| log(determinant) for each variance vector; actually, log(sqrt(2*pi*det))
logmath_t * | lmath
| log math computation
int32 | n_mgau
| Number codebooks.
int32 | n_feat
| Number feature streams in each codebook.
int32 | n_density
| Number gaussian densities in each codebook-feature stream.
int32 * | featlen
| feature length for each feature

## Detailed Description

Multivariate gaussian mixture density parameters.

Definition at line 82 of file ms_gauden.h.

## Field Documentation

## det

mfcc_t*** gauden_t::det

log(determinant) for each variance vector; actually, log(sqrt(2*pi*det))

Definition at line 85 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_free(), and gauden_mllr_transform().

## featlen

int32* gauden_t::featlen

feature length for each feature

Definition at line 91 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_free(), gauden_init(), and gauden_mllr_transform().

## lmath

logmath_t* gauden_t::lmath

log math computation

Definition at line 87 of file ms_gauden.h.

Referenced by gauden_init(), and gauden_mllr_transform().

## mean

mfcc_t**** gauden_t::mean

mean[codebook][feature][codeword] vector

Definition at line 83 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_free(), gauden_init(), and gauden_mllr_transform().

## n_density

int32 gauden_t::n_density

Number gaussian densities in each codebook-feature stream.

Definition at line 90 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_init(), and gauden_mllr_transform().

## n_feat

int32 gauden_t::n_feat

Number feature streams in each codebook.

Definition at line 89 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_init(), gauden_mllr_transform(), and ptm_mgau_frame_eval().

## n_mgau

int32 gauden_t::n_mgau

Number codebooks.

Definition at line 88 of file ms_gauden.h.

Referenced by gauden_dump(), gauden_init(), gauden_mllr_transform(), ptm_mgau_frame_eval(), and senone_init().

## var

mfcc_t**** gauden_t::var

like mean; diagonal covariance vector only

Definition at line 84 of file ms_gauden.h.

Referenced by gauden_dump_ind(), gauden_free(), gauden_init(), and gauden_mllr_transform().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ms_gauden.h